The fmtstr function in... CVE-2016-0799 CNNVD-201603-022

10.0 AV AC AU C I A
发布: 2016-03-01
修订: 2019-09-10

OpenSSL是OpenSSL团队开发的一个开源的能够实现安全套接层(SSL v2/v3)和安全传输层(TLS v1)协议的通用加密库,它支持多种加密算法,包括对称密码、哈希算法、安全散列算法等。 OpenSSL 1.0.2及之前版本和1.0.1及之前版本的crypto/bio/b_print.c文件中的‘fmtstr’函数中存在安全漏洞,该漏洞源于程序没有正确计算字符串长度。远程攻击者可借助较长的字符串利用该漏洞造成拒绝服务(溢出和越边界读取)。

0%
暂无可用Exp或PoC
当前有35条受影响产品信息